View Issue Details

IDProjectCategoryView StatusLast Update
0018846LazarusLCLpublic2013-09-13 13:24
ReporterTomasz WieckowskiAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindowsOS VersionXP
Product Version0.9.31 (SVN)Product Build29691 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0018846: TPageControl (Source Editor) - wrong tab shows
DescriptionIf no tab shows in source editor (loaded only one file) then there is a problem with switch to correct tab.
Steps To Reproduce1. Create new project - application
2. Click Project - view source
- you will see project source - but on source edit tabs still Unit1 exists.

or

1. Create new project - application
2. Click on some file (with CTRL key) from "uses"
- that file will load to source editor but tabs are no correct
TagsNo tags attached.
Fixed in Revision42670
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Activities

Tomasz Wieckowski

2011-02-28 22:20

reporter   ~0046316

This bug is dependent on the option "Hide tab in single page windows" on Notebook Tabs.

Martin Friebe

2011-03-01 13:21

manager   ~0046324

Moved to LCL / Updated description

This is a TPageControl problem.
(it may be widgetset, only tested on w32)

- drop a PageControl on an form,
- add the first page
- hide tabs
- add 2nd page (PageIndex will be 1 => 2nd page)
  you may even explicitly set the Index
- ShowTabs

The wrong tab is shown in the header

Martin Friebe

2013-09-09 13:56

manager   ~0069846

Please test and close if ok

Issue History

Date Modified Username Field Change
2011-02-28 21:53 Tomasz Wieckowski New Issue
2011-02-28 21:53 Tomasz Wieckowski Widgetset => Win32/Win64
2011-02-28 22:20 Tomasz Wieckowski Note Added: 0046316
2011-02-28 22:27 Maxim Ganetsky LazTarget => -
2011-02-28 22:27 Maxim Ganetsky Status new => confirmed
2011-03-01 13:21 Martin Friebe Note Added: 0046324
2011-03-01 13:21 Martin Friebe Category IDE => LCL
2011-03-01 13:21 Martin Friebe Summary Source Editor - wrong tab shows => TPageControl (Source Editor) - wrong tab shows
2013-09-09 13:56 Martin Friebe Fixed in Revision => 42670
2013-09-09 13:56 Martin Friebe LazTarget - => 1.2
2013-09-09 13:56 Martin Friebe Note Added: 0069846
2013-09-09 13:56 Martin Friebe Status confirmed => resolved
2013-09-09 13:56 Martin Friebe Fixed in Version => 1.1 (SVN)
2013-09-09 13:56 Martin Friebe Resolution open => fixed
2013-09-09 13:56 Martin Friebe Assigned To => Martin Friebe
2013-09-09 13:56 Martin Friebe Target Version => 1.2.0
2013-09-13 13:24 Tomasz Wieckowski Status resolved => closed